package com.javacodegeeks.examples;

import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class SoapwebclientApplication implements CommandLineRunner {

	public static void main(String[] args) {
		SpringApplication.run(SoapwebclientApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		RandomQuoteService service = new RandomQuoteService();
		RandomQuote port = service.getRandomQuotePort();

		System.out.println("Quote of the day: " + port.getQuote());
		
	}

}
