package com.javacodegeeks.examples.soap;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

import javax.annotation.PostConstruct;

import org.apache.cxf.feature.Features;

import com.javacodegeeks.examples.RandomQuote;

@Features(features="org.apache.cxf.feature.LoggingFeature")
public class RandomQuoteImpl implements RandomQuote {

	private static List<String> quoteList;
	
	@PostConstruct
	void createList() {
		quoteList = new ArrayList<String>();
		quoteList.add("You cannot escape the responsibility of tomorrow by evading it today");
		quoteList.add("I think therefore I am");
		quoteList.add("It was the best of times, it was the worst of times...");
	}
	
	@Override
	public String getQuote() {
		Random random = new Random();
		int index = random.nextInt(quoteList.size());
		return (String) quoteList.get(index);
	}

}
